Main Page Widgets Namespaces Book

# treemodel.h File Reference

## Classes
class | Gtk::TreeModel
| This class defines a generic tree interface for use by the Gtk::TreeView widget. More...
## Namespaces
namespace | Glib
namespace | Gtk
## Enumerations
enum | Gtk::TreeModelFlags { Gtk::TREE_MODEL_ITERS_PERSIST = 1 << 0, Gtk::TREE_MODEL_LIST_ONLY = 1 << 1 }
## Functions
TreeModelFlags | Gtk::operator& (TreeModelFlags lhs, TreeModelFlags rhs)
TreeModelFlags& | Gtk::operator&= (TreeModelFlags& lhs, TreeModelFlags rhs)
TreeModelFlags | Gtk::operator^ (TreeModelFlags lhs, TreeModelFlags rhs)
TreeModelFlags& | Gtk::operator^= (TreeModelFlags& lhs, TreeModelFlags rhs)
TreeModelFlags | Gtk::operator| (TreeModelFlags lhs, TreeModelFlags rhs)
TreeModelFlags& | Gtk::operator|= (TreeModelFlags& lhs, TreeModelFlags rhs)
TreeModelFlags | Gtk::operator~ (TreeModelFlags flags)